org.hibernate.search.elasticsearch.work.impl

## Class ExplainWork.Builder

- java.lang.Object
- - org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder<ExplainWork.Builder>
  - - org.hibernate.search.elasticsearch.work.impl.ExplainWork.Builder

- All Implemented Interfaces:
    ElasticsearchWorkBuilder<ElasticsearchWork<ExplainResult>>, ExplainWorkBuilder
  Enclosing class:
    ExplainWork

      public static class ExplainWork.Builder
      extends SimpleElasticsearchWork.Builder<ExplainWork.Builder>
      implements ExplainWorkBuilder

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder

      `dirtiedIndexName, luceneWork, markIndexDirty, resultAssessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(URLEncodedString indexName, URLEncodedString typeName, URLEncodedString id, com.google.gson.JsonObject payload)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExplainWork` | `build()`
    `protected ElasticsearchRequest` | `buildRequest()`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder

      `luceneWork, markIndexDirty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(URLEncodedString indexName,
                         URLEncodedString typeName,
                         URLEncodedString id,
                         com.google.gson.JsonObject payload)

  - ### Method Detail

    - #### buildRequest

          protected ElasticsearchRequest buildRequest()

      Specified by:
        `buildRequest` in class `SimpleElasticsearchWork.Builder<ExplainWork.Builder>`

    - #### build

          public ExplainWork build()

      Specified by:
        `build` in interface `ElasticsearchWorkBuilder<ElasticsearchWork<ExplainResult>>`
      Specified by:
        `build` in class `SimpleElasticsearchWork.Builder<ExplainWork.Builder>`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved